User Details
curl --request GET \
--url https://api.agntdata.dev/v1/data/x/user/details \
--header 'Authorization: <api-key>'import requests
url = "https://api.agntdata.dev/v1/data/x/user/details"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.agntdata.dev/v1/data/x/user/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"creation_date": "Tue Jun 02 20:12:29 +0000 2009",
"user_id": "44196397",
"username": "elonmusk",
"name": "Kekius Maximus",
"follower_count": 219778480,
"following_count": 1134,
"favourites_count": 147042,
"is_private": null,
"is_verified": false,
"is_blue_verified": true,
"location": "",
"profile_pic_url": "https://pbs.twimg.com/profile_images/1923451603740168192/bBoBROAs_normal.jpg",
"profile_banner_url": "https://pbs.twimg.com/profile_banners/44196397/1739948056",
"description": "",
"external_url": null,
"number_of_tweets": 78883,
"bot": false,
"timestamp": 1243973549,
"has_nft_avatar": false,
"category": null,
"default_profile": false,
"default_profile_image": false,
"listed_count": 162327,
"verified_type": null
}{
"detail": [
{
"loc": [],
"msg": "",
"type": ""
}
]
}User
User Details
This endpoint returns the public information about a Twitter profile
GET
/
v1
/
data
/
x
/
user
/
details
User Details
Authorizations
Bearer token. Pass your agntdata API key as: Authorization: Bearer agnt_live_...
⌘I